For the complete documentation index, see llms.txt. This page is also available as Markdown.

Permissions

Permission management and access control

get

Returns (static) resource definitions of HQ's permission model.

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Responses
200

Happy response.

application/json

Contains definitions for entities in the permission model.

get/api/v1/permissions/definitions
GET /api/v1/permissions/definitions HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "resource_definitions": [
    {
      "service": "text",
      "short_name": "text",
      "full_name": "text",
      "resource_format": "text",
      "actions": [
        "text"
      ]
    }
  ]
}

Last updated

Was this helpful?